Bug 623266 - Metadata (man pages) generation does not take different sorts of action into account
Metadata (man pages) generation does not take different sorts of action into ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
: RHELNAK
Depends On:
Blocks: 671090
  Show dependency treegraph
 
Reported: 2010-08-11 14:23 EDT by Jan Pokorný
Modified: 2016-04-26 11:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: fence-agents-3.0.12-12.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 671090 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2010-08-11 14:23:37 EDT
Description of problem:
Specifically, metadata function in fencing.py (agents/lib/fence.py.py) outputs a static block of actions without being aware of current fence.

Version-Release number of selected component (if applicable):
Tested both on current git version and updated RHEL 6.0 beta:
# rpm -q fence-agents
fence-agents-3.0.12-7.el6.x86_64

How reproducible:
Always.


Steps to Reproduce (this is only an example how to demonstrate it; there can be more similar cases):

1. # man fence_sanbox2
(...)
       -o, --action=<action>
              Fencing Action (Default Value: disable)
(...)
ACTIONS

       on     Power on machine.

       off    Power off machine.

       reboot Reboot machine.

       status This returns the status of the plug/virtual machine.

       list   List available plugs with aliases/virtual machines if there is support for more then one device. Returns N/A otherwise.

       monitor
              Check if fencing device is running. List available plugs/virtual machines or get status of machine (if it does not support more).

       metadata
               The operational behavior of this is not known.
(...)

2. # fence_sanbox2 -o on
Failed: Unrecognised action 'on'
Please use '-h' for usage


Actual results:
Bad information about possible actions provided by man page.

Expected results:
The information is correct.

Additional info:
Note that -h flag informs correctly:
(...)
   -o, --action=<action>          Action: status, enable or disable
(...)
Comment 2 RHEL Product and Program Management 2010-08-11 14:58:40 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 David Teigland 2010-08-12 15:32:08 EDT
We should standardize action values, I suggest on/off, and make all agents, docs, man pages, rng use and refer to on/off.

(Any agents that currently accept enable/disable need to continue accepting those values in addition to on/off.)
Comment 8 errata-xmlrpc 2011-05-19 10:21:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0745.html

Note You need to log in before you can comment on or make changes to this bug.